Focus op Veiligheid

Raspbian zet ssh standaard niet meer aan om misbruik te voorkomen. Debian overweegt om beveiligingsupdates automatisch te installeren. En cryptsetup gaf op Debian na 93 enters een root shell als je je rootpartitie had versleuteld. Deze en andere beveiligingsnieuwtjes lees je in Focus op veiligheid.

Raspbian zet ssh standaard niet meer aan

De recente nieuwsberichten over botnets van Internet of Things apparaten hebben de ontwikkelaars van de Raspberry Pi doen nadenken. Zo’n botnet is mogelijk, omdat veel apparaten een standaard wachtwoord hebben en van buitenaf -via het netwerk- toegankelijk zijn. Klinkt dat bekend? Ja hoor, ook Raspbian heeft een standaard wachtwoord ‘raspberry’ voor gebruiker ‘pi’) en is standaard via het lokale netwerk bereikbaar met ssh. Gemakkelijk voor beginners die alleen maar hun Pi met Raspbian op het sd-kaartje hoeven op te starten, waarna ze zonder enige configuratie en zonder toetsenbord en scherm via ssh kunnen inloggen.

Raspberry Pi’s bevinden zich meestal in een lokaal netwerk, waardoor die standaardconfiguratie niet zo problematisch was. Maar de ontwikkelaars vreesden dat de Pi meer en meer op publieke netwerken draait en als basis dient voor zelfgemaakte IoT-apparaten. Daarom heeft de Raspberry Pi Foundation sinds hun Raspbian-images van 25 november 2016 ssh-toegang standaard uitgeschakeld. Om het inschakelen toch mogelijk te maken zonder toegang tot een toetsenbord en scherm, hebben de ontwikkelaars een nieuw bestand in het leven geroepen. Als je een bestand /boot/ssh aanmaakt op de sd-kaart, schakelt Raspbian bij de volgende start van de Pi ssh in en verwijdert de distributie het bestand.

Er is nog een tweede beveiligingsmaatregel ingevoerd. Als ssh is ingeschakeld en Raspbian merkt dat gebruiker pi nog altijd het standaard wachtwoord heeft, dan krijg je een waarschuwing na het opstarten van de Pi. Dit gebeurt zowel op de console als in de grafische omgeving. Beide beveiligingsmaatregelen moeten misbruik van de meer dan tien miljoen Raspberry Pi’s wereldwijd moeilijker maken.

Heb je een Raspbian-image van 25 november 2016 of later gedownload, dan zijn de beveiligingsmaatregelen actief. Op een bestaande Raspbian-installatie krijg je ze door je systeem te upgraden:

************start listing**********

sudo apt-get update

sudo apt-get dist-upgrade

sudo apt-get install -y pprompt

************eind listing**********

Link: https://www.raspberrypi.org/blog/a-security-update-for-raspbian-pixel/

Debian overweegt automatische beveiligingsupdates

Het Debian-project is aan het overwegen om in zijn distributie automatische minor upgrades van geïnstalleerde pakketten in te voeren voor nieuw geïnstalleerde systemen. Het idee werd naar voren gebracht door Debian-ontwikkelaar Steve McIntyre tijdens de Debian Cloud Sprint. De redenering was dat iemand die Debian in de cloud installeert, erop zou moeten kunnen rekenen dat de installatie standaard veilig is. Daarom stelde hij voor om het pakket unattended-upgrades in de cloud-images te installeren. Dat pakket houdt automatisch alle geïnstalleerde pakketten up-to-date.

Omdat cloud-images en normale Debian-installaties eigenlijk niet zouden mogen verschillen op zo’n belangrijk punt, kwam dan het voorstel om voor alle installaties automatische updates in te voeren. Er moeten nog wel wat problemen uitgeklaard worden, zoals onverwachte downtime en reboots. Maar de consensus leek dat de voordelen van automatisch zo snel mogelijk beveiligingsupdates te krijgen, opwegen tegen de nadelen die slechts in specifieke gevallen gelden. Het lijkt erop dat Debian unattended-upgrades standaard zal inschakelen in de cloud-images. Voor normale installaties zal het dat ook doen, maar dan krijgt de gebruiker in het installatieprogramma de vraag of hij de functie wil uitschakelen.

Link: https://anarc.at/blog/2016-12-22-debian-considering-automated-upgrades/

Cryptsetup geeft root shell na 93 enters in Debian

Beveiligingsonderzoekers Hector Marco en Ismael Ripoll ontdekten een fout in de code die Debian schreef om het ontgrendelen van een versleutelde rootpartitie vanaf initramfs te ondersteunen. Naast Debian zijn dus ook Ubuntu en andere Debian-afgeleiden kwetsbaar als je de rootpartitie versleuteld hebt.

De fout zit in de wachtwoordcontrole. Als je drie keer een verkeerd wachtwoord invoert, geeft het cryptroot-script een foutmelding. Maar het script dat het cryptroot-script oproept, behandelt die foutmelding alsof het om een harde schijf gaat die niet op tijd klaar is. Het probeert daarom opnieuw de versleutelde partitie aan te koppelen, met alweer drie wachtwoordpogingen. Dat probeert het script 30 keer, met dus in totaal 93 wachtwoordpogingen.

Na die 30 pogingen om de partitie aan te koppelen, geeft het script het op en opent het een root shell (busybox), in de veronderstelling dat er iets mis is met de schijf en de gebruiker dit het beste kan oplossen in de shell. Maar die root shell krijg je dus ook te zien na 93 wachtwoordpogingen… Voor een aanvaller volstaat het om op enter te blijven drukken totdat een shell verschijnt, na ongeveer 70 seconden.

Het is een wat beschamende fout, maar niet zo ernstig. Met de beperkte root shell die je krijgt, heb je nog altijd geen toegang tot de gegevens. Deze zijn immers versleuteld. Saillant detail: Marco en Ripoll vonden een jaar eerder een gelijkaardige fout in GRUB2. Hierbij kon iemand die 28 keer op backspace drukte, wanneer de bootloader om een gebruikersnaam vroeg, de authenticatiestap omzeilen.

Link: http://hmarco.org/bugs/CVE-2016-4484/CVE-2016-4484_cryptsetup_initrd_shell.html

FileZilla-fork versleutelt wachtwoorden

Het open source ftp-programma FileZilla slaat je ftp-wachtwoorden onversleuteld op. Al bijna tien jaar vragen gebruikers om de wachtwoorden met een hoofdwachtwoord te versleutelen, maar de ontwikkelaar weigert dit. Hij meent dat bestanden versleutelen de taak is van het besturingssysteem. Voor een webontwikkelaar, die door malware geïnfecteerd werd en waarbij zijn FileZilla-wachtwoorden werden gestolen om in zijn webserver in te breken, was de maat vol. Hij besloot om FileZilla te forken en versleutelde wachtwoorden in te bouwen. FileZilla Secure, zoals de fork heet, ondersteunt daarnaast ook meer threads om data door te sluizen. Toch raden we FileZilla Secure (nog) niet aan. De implementatie van de encryptie ziet er immers nogal amateuristisch uit. De auteur van FileZilla duidde in zijn feedback al enkele belangrijke zwakheden aan. Hopelijk worden die in een volgende versie van FileZilla Secure aangepakt.

Link: http://www.filezillasecure.com/

Er is nog werk aan TPM2 in Linux

Microsoft heeft onlangs zijn vereisten voor nieuwe Windows-versies aangescherpt: computers hebben daarvoor TPM2 (Trusted Platform Module) nodig. Dat betekent dat over enkele jaren alle verkochte computers een TPM2-chip hebben. Hoewel Linux-software, zoals trousers en de libtpm plug-in voor OpenSSL goede ondersteuning bieden voor TPM 1.2, verschilt versie 2 volgens James Bottomley zo erg van versie 1.2 dat een belangrijke transitie nodig is.

Het grote verschil is dat TPM 1.2 alleen SHA1 en RSA2048 ondersteunt, terwijl TPM2 diverse algoritmes ondersteunt en de specificatie geen specifiek algoritme oplegt. Je kunt nu al met TPM2 onder Linux experimenteren, maar het zal volgens Bottomley nog tot Linux 4.11 of 4.12 duren voordat alle benodigde code in de mainline kernel zit.

Link: http://blog.hansenpartnership.com/tpm2-and-linux/

En verder

OpenSSH 7.4 verwijdert de ondersteuning voor versie 1 van het ssh-protocol. De client stelt het 64-bit block cipher 3des-cbc niet meer voor, omdat het onveilig is. Om dezelfde reden ondersteunt de server geen compressie vóór de authenticatie meer. En BackBox Linux 4.7 is uitgerust met Linux-kernel 4.4 en nieuwe versies van beef, Metasploit, OpenVAS, SE Toolkit, sqlmap en WPScan.

FreeBSD 9.3, 10.1 en 10.2 zijn op 1 januari 2017 tot end of life uitgeroepen. Wie nog één van deze FreeBSD-versies draait, kan beter upgraden naar FreeBSD 10.3 (ondersteund tot 30 april 2018) of 11.0 (ondersteund tot drie maanden na de release van 11.1). Ubuntu accepteert sinds dit jaar geen APT-repository’s meer die ondertekend zijn met het zwakke SHA-1-algoritme. En een grappenmaker registreerde in het Verenigd Koninkrijk een bedrijf met de naam DROP TABLE “COMPANIES”;– Ltd.

 

NEDLINUX FORUM

Het nederlandse linuxforum
Voor beginners en pro’s

 

 

 

 

E-mailadres



 

 

Nieuwste editie:

Linuxmag op Facebook

@linuxmagnl op Twitter

linuxmagNL Er zijn heel veel Linux distributies. Als je echter zoekt naar een Linux distributie voor gebruik in een commerciël… https://t.co/L6UEVLXhbu
3hreplyretweetfavorite
linuxmagNL Voor de opslag van gegevens zijn databases handig. Ze worden dan ook veel gebruikt en ze bestaan in allerlei soorte… https://t.co/GqBwB5zZZl
linuxmagNL Mattermost is een open source multi-platform messaging web-applicatie voor teams. Het is een prima Slack-alternatie… https://t.co/wxwILaUhSM